Bug 1422550 - recode: Buffer overflow due to long input filenames [fedora-all]
Summary: recode: Buffer overflow due to long input filenames [fedora-all]
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: recode (Show other bugs)
(Show other bugs)
Version: 25
Hardware: Unspecified Unspecified
low
low
Target Milestone: ---
Assignee: Zoltan Kota
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Security, SecurityTracking
Depends On:
Blocks: 1422545
TreeView+ depends on / blocked
 
Reported: 2017-02-15 14:14 UTC by Andrej Nemec
Modified: 2017-10-13 21:20 UTC (History)
2 users (show)

Fixed In Version: recode-3.6-46.fc27 recode-3.6-44.fc26 recode-3.6-43.fc25
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-10-10 19:28:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Andrej Nemec 2017-02-15 14:14:40 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Andrej Nemec 2017-02-15 14:14:44 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1422545

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Zoltan Kota 2017-10-03 13:33:42 UTC
I have applied the patch mentioned in the bugreport #1422545 in the fedora master git repo.
Could you check and verify it? 
https://src.fedoraproject.org/rpms/recode/c/1adc862a658d0d26de2a006b9809567d508cc6f5?branch=master

Then I can make a build and apply it to other branches.
Thanks!

Comment 3 Andrej Nemec 2017-10-03 14:01:49 UTC
Look fine as far as I can tell. Thanks!

Comment 4 Fedora Update System 2017-10-04 10:02:34 UTC
recode-3.6-44.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f244168d7f

Comment 5 Fedora Update System 2017-10-04 10:02:43 UTC
recode-3.6-43.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4dfebebd39

Comment 6 Fedora Update System 2017-10-04 10:02:49 UTC
recode-3.6-46.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-cf6bb19709

Comment 7 Fedora Update System 2017-10-06 03:23:08 UTC
recode-3.6-43.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4dfebebd39

Comment 8 Fedora Update System 2017-10-06 03:25:34 UTC
recode-3.6-44.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f244168d7f

Comment 9 Fedora Update System 2017-10-06 04:27:32 UTC
recode-3.6-46.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-cf6bb19709

Comment 10 Fedora Update System 2017-10-10 19:28:12 UTC
recode-3.6-46.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2017-10-13 17:21:07 UTC
recode-3.6-44.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2017-10-13 21:20:56 UTC
recode-3.6-43.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.